Last modified: 2013-10-09 16:20:27 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18854 - text-decoration:blink CSS should be disabled by the parser
text-decoration:blink CSS should be disabled by the parser
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
unspecified
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://en.wikipedia.org/w/index.php?t...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 12:50 UTC by Gavia immer
Modified: 2013-10-09 16:20 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Gavia immer 2009-05-20 12:50:19 UTC
The Mediawiki parser disables the nonstandard (but universally supported for some brain-dead reason) <blink> tag, which is the right thing to do. However, as you can verify from the provided diff, it does not disable the equivalent CSS declaration text-decoration:blink. The result is that it's possible to make obnoxious blinking text, which is not a net positive. I realize that there's a possible syntactic problem with disabling <span> tags that contain a mix of permissible and impermissible styles, but blinking is sufficiently obnoxious that it's worth doing.
Comment 1 Niklas Laxström 2009-05-20 13:03:53 UTC
<blink> is not an allowed tag, it is not disabled on purpose. I do not think that the (core) software should be dictating what css styles are "good" and what "bad".
Comment 2 Happy-melon 2009-05-20 14:47:46 UTC
There is precedent in that background images are stripped: 

<span style="background:url('http://upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Gnome-speakernotes.png/30px-Gnome-speakernotes.png'); color:red;">Foo</span>

Becomes

<span>Foo</span>

I'm not sure exactly *where* it's stripped, but it definitely happens. Tend to agree with Niklas, however, that having the core code make judgements on which attributes are or aren't "good" for a wiki is generally a Bad Idea.  
Comment 3 Filip Maljkovic [Dungodung] 2009-05-20 17:05:06 UTC
Yeah. Suggest WONTFIX or INVALID. I, for one, don't consider blinking evil.
Comment 4 MZMcBride 2009-05-20 17:08:17 UTC
Resolving as WONTFIX.

Blink is annoying as hell, but so are most variants of the color yellow on a white background. The software shouldn't be used here to prevent text-decoration:blink; common sense (or a liberal use of the user block function) should suffice.
Comment 5 Alex Z. 2009-05-21 00:37:29 UTC
Note that background images are stripped as they could be used to load any arbitrary URL; its a security issue, not a style one.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links